use html2md;
use regex::Regex;


/* this works, but...
- images are omitted
- Blockquotes don't display


*/

pub fn process(content: String) -> String {
    let re = Regex::new(r"(?s)<iframe[^>]*>.*?</iframe>").unwrap();
    let cleaned = re.replace_all(&content,"");
    html2md::parse_html(&cleaned)
}